diff --git a/src/test/subscription/t/010_truncate.pl b/src/test/subscription/t/010_truncate.pl
index be2c0bd..7776e14 100644
--- a/src/test/subscription/t/010_truncate.pl
+++ b/src/test/subscription/t/010_truncate.pl
@@ -3,7 +3,7 @@ use strict;
 use warnings;
 use PostgresNode;
 use TestLib;
-use Test::More tests => 9;
+use Test::More tests => 10;
 
 # setup
 
@@ -158,3 +158,18 @@ is($result, qq(0||), 'truncate of multiple tables some not published');
 $result = $node_subscriber->safe_psql('postgres',
 	"SELECT count(*), min(a), max(a) FROM tab2");
 is($result, qq(3|1|3), 'truncate of multiple tables some not published');
+
+# test truncate when synchronous replication
+
+$node_publisher->append_conf('postgresql.conf', 'synchronous_standby_names = sub1');
+$node_publisher->reload();
+
+$node_subscriber->safe_psql('postgres',
+  "INSERT INTO tab1 VALUES (1), (2), (3)");
+
+$node_publisher->safe_psql('postgres', "TRUNCATE tab1");
+
+$node_publisher->wait_for_catchup('sub1');
+
+$result = $node_subscriber->safe_psql('postgres',"SELECT count(*), min(a), max(a) FROM tab1");
+is($result, qq(0||), 'truncate replicated when synchronous replication');
